%define	module	Net-Netmask
%define	name	perl-%{module}
%define	version	1.9012
%define	release	1mdk

Summary:	%{module} module for Perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Development/Perl
Source0:	http://www.cpan.org/authors/id/M/MU/MUIR/modules/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 	noarch
Requires:	perl >= 0:5.00503

%description
Net-Netmask module for perl

Net::Netmask parses and understands IPv4 CIDR blocks. It's built with an
object-oriented interface. Nearly all functions are methods that operate on a
Net::Netmask object.

There are methods that provide the nearly all bits of information about a
network block that you might want.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%{makeinstall_std}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Net/*
%{_mandir}/*/*

%changelog
* Fri Jul 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.9012-1mdk
- 1.9012

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.9011-1mdk
- 1.9011

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.9009-1mdk
- 1.9009

* Sat Jan 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.9007-1mdk
- 1.9007
- use %%makeinstall_std macro
- cosmetics
- drop $RPM_OPT_FLAGS, noarch..
- fix license
- add README file to %%doc

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.9004-1mdk
- 1.9004.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9002-4mdk
- rebuild for new auto{prov,req}

* Fri Feb 14 2003 Pixel <pixel@mandrakesoft.com> 1.9002-3mdk
- rebuild with vendorlib

* Fri Dec 27 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.9002-2mdk
- Rebuild for new glibc and macros

* Fri Mar  1 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.9002-1mdk
- First Mandrake release

